Bug 1644128 - [KDE][Xfce] Libreoffice tooltips not displaying/flickering
Summary: [KDE][Xfce] Libreoffice tooltips not displaying/flickering
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 29
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1655422 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-30 05:22 UTC by Vinu Moses
Modified: 2019-11-27 23:31 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:31:28 UTC
Type: Bug


Attachments (Terms of Use)
Screenshot of Libreoffice writer with cursor on an icon and no tooltip displayed (70.00 KB, image/png)
2018-10-30 05:22 UTC, Vinu Moses
no flags Details
default f29 install (204.98 KB, image/png)
2018-11-05 12:06 UTC, Caolan McNamara
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Document Foundation 120764 0 None None None 2018-10-30 09:13:49 UTC
Document Foundation 121361 0 None None None 2018-11-12 10:10:03 UTC

Description Vinu Moses 2018-10-30 05:22:04 UTC
Created attachment 1498812 [details]
Screenshot of Libreoffice writer with cursor on an icon and no tooltip displayed

Description of problem:
Libreoffice tooltips are not displaying when the mouse cursor is placed over any icon on the toolbar.

Version-Release number of selected component (if applicable):
Version: 6.1.2.1
Build ID: 6.1.2.1-1.fc29
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: gtk3; 
Locale: en-US (en_IN.UTF-8); Calc: group threaded

How reproducible:
Enable Libreoffice tooltips from Tools > Options > General > Help > Extended tips. Restart Libreoffice. When the mouse cursor is placed over any icon on the toolbar, the icon just flickers without display of the associated tooltip.

Steps to Reproduce:
1. Enable extended tips in Help (in settings)
2. Place mouse cursor over any icon in the Libreoffice Writer/Calc/Impress toolbar
3. 

Actual results:
The icon flickers after a second but no tooltip is displayed.

Expected results:
The tooltip for the icon should display as a pop-up adjacent the cursor

Additional info:
* Fedora 29 Server with additional groups "KDE Plasma Workspaces" and "Libreoffice" installed. All updates applied to date.
* Information from glxinfo:
Extended renderer info (GLX_MESA_query_renderer):
    Vendor: Intel Open Source Technology Center (0x8086)
    Device: Mesa DRI Intel(R) HD Graphics 620 (Kaby Lake GT2)  (0x5916)
    Version: 18.2.2
    Accelerated: yes
    Video memory: 3072MB
    Unified memory: yes
    Preferred profile: core (0x1)
    Max core profile version: 4.5
    Max compat profile version: 3.0
    Max GLES1 profile version: 1.1
    Max GLES[23] profile version: 3.2
OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) HD Graphics 620 (Kaby Lake GT2) 
OpenGL core profile version string: 4.5 (Core Profile) Mesa 18.2.2
OpenGL core profile shading language version string: 4.50
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile

Comment 1 Caolan McNamara 2018-10-30 09:13:49 UTC
https://bugs.documentfoundation.org/show_bug.cgi?id=120764 is not exactly the same thing, but I suspect has the same underlying problem wrt native gtk tooltip interactions

Comment 2 Caolan McNamara 2018-10-30 09:31:37 UTC
I suspect this won't be enough, but lets try that change first

Comment 3 Fedora Update System 2018-10-31 14:03:52 UTC
libreoffice-6.1.2.1-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-31404b63f0

Comment 4 Fedora Update System 2018-11-01 15:40:33 UTC
libreoffice-6.1.2.1-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-31404b63f0

Comment 5 Vinu Moses 2018-11-02 00:52:07 UTC
This update does not solve the aforesaid issue. Tooltips are still not displayed.

Libreoffice version details: (Libreoffice Help)
Version: 6.1.2.1
Build ID: 6.1.2.1-2.fc29
CPU threads: 8; OS: Linux 4.18; UI render: default; VCL: gtk3; 
Locale: en-GB (en_IN.UTF-8); Calc: threaded

GTK details: (rpm -qa | grep gtk)
gtk2-2.24.32-3.fc29.i686
ibus-gtk2-1.5.19-4.fc29.x86_64
gtk2-2.24.32-3.fc29.x86_64
pygtk2-2.24.0-23.fc29.x86_64
usermode-gtk-1.112-3.fc29.x86_64
spice-gtk3-0.35-3.fc29.x86_64
gstreamer1-plugins-good-gtk-1.14.4-1.fc29.x86_64
gtk-vnc2-0.9.0-2.fc29.x86_64
webkit2gtk3-jsc-2.22.2-2.fc29.x86_64
qemu-ui-gtk-3.0.0-1.fc29.x86_64
adwaita-gtk2-theme-3.28-2.fc29.x86_64
adwaita-gtk2-theme-3.28-2.fc29.i686
libreoffice-gtk2-6.1.2.1-2.fc29.x86_64
libreport-gtk-2.9.6-1.fc29.x86_64
gtkmm24-2.24.5-6.fc29.x86_64
ibus-gtk3-1.5.19-4.fc29.x86_64
webkit2gtk3-2.22.2-2.fc29.x86_64
compat-wxGTK3-gtk2-3.0.4-4.fc29.x86_64
libcanberra-gtk3-0.30-17.fc29.x86_64
xdg-desktop-portal-gtk-1.0.2-1.fc29.x86_64
kde-gtk-config-5.13.5-1.fc29.x86_64
libreoffice-gtk3-6.1.2.1-2.fc29.x86_64
gtk-update-icon-cache-3.24.1-1.fc29.x86_64
unison240-gtk-2.40.128-12.fc29.x86_64
gtk3-3.24.1-1.fc29.x86_64
gtkmm30-3.22.2-3.fc29.x86_64
pygtk2-libglade-2.24.0-23.fc29.x86_64
webkit2gtk3-plugin-process-gtk2-2.22.2-2.fc29.x86_64

Comment 6 Caolan McNamara 2018-11-02 09:00:05 UTC
oh well

Comment 7 Fedora Update System 2018-11-04 06:51:37 UTC
libreoffice-6.1.2.1-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Caolan McNamara 2018-11-04 16:28:06 UTC
autoclose not appropriate in this case, reopening

Comment 9 Caolan McNamara 2018-11-05 12:06:32 UTC
Created attachment 1501811 [details]
default f29 install

works fine for me in default gnome under wayland session

Comment 10 Caolan McNamara 2018-11-05 12:08:39 UTC
I presume libreoffice-help-en is installed ?

Comment 11 Stephan Bergmann 2018-11-05 13:13:26 UTC
(In reply to Caolan McNamara from comment #10)
> I presume libreoffice-help-en is installed ?

and even if not, I think the content of the non-extended tooltips would be displayed instead

Comment 12 Vinu Moses 2018-11-05 17:12:15 UTC
(In reply to Caolan McNamara from comment #10)
> I presume libreoffice-help-en is installed ?

Yes, it's installed.

Comment 13 Vinu Moses 2018-11-05 17:45:12 UTC
(In reply to Caolan McNamara from comment #9)
> Created attachment 1501811 [details]
> default f29 install
> 
> works fine for me in default gnome under wayland session

I installed Fedora 29 server on a VM and then installed both KDE and Gnome packages (using group install). When I boot into Gnome, the tooltips are displayed. But when I logout and boot into KDE, the tooltips are not displayed.

Looks like a KDE specific problem.

Comment 14 Kevin Kofler 2018-11-08 02:17:10 UTC
You can try installing libreoffice-kde4 and using that, chances are it will work better under Plasma than the GTK+ stuff.

Comment 15 Vinu Moses 2018-11-08 09:12:42 UTC
(In reply to Kevin Kofler from comment #14)
> You can try installing libreoffice-kde4 and using that, chances are it will
> work better under Plasma than the GTK+ stuff.

This worked. 

Installed libreoffice-kde4-1:6.1.2.1-2.fc29.x86_64 and the tooltips started working!. Thank you!

Comment 16 Caolan McNamara 2018-11-12 10:11:29 UTC
https://gitlab.gnome.org/GNOME/gtk/issues/1371 seems to be this problem

Comment 17 Caolan McNamara 2018-12-04 10:26:41 UTC
*** Bug 1655422 has been marked as a duplicate of this bug. ***

Comment 18 Trevor Cordes 2018-12-08 06:09:36 UTC
Almost certainly the same bug as bz 1645829 and bz 1647105.

https://gitlab.gnome.org/GNOME/gtk/issues/1371  does sound like the culprit indeed.

bz 1645829 seems to be where the discussion is liveliest.

Comment 19 Shadders 2019-10-09 11:22:36 UTC
Hi,
This has not been resolved, but the solution or workaround is the following :

1. Create the settings.ini file as follows :
vi ~/.config/gtk-3.0/settings.ini

2. Add the lines :
[Settings]
gtk-cursor-theme-size = 16

3. Save the file. 

This allows for the tooltips to function. I am using v6.1.6.3 Libreoffice. 

Regards,
Shadders.

Comment 20 Ben Cotton 2019-10-31 18:47:06 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 21 Ben Cotton 2019-11-27 23:31:28 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.